org.hibernate.search.query.facet

## Enum FacetSortOrder

- java.lang.Object
- - java.lang.Enum<FacetSortOrder>
  - - org.hibernate.search.query.facet.FacetSortOrder

- All Implemented Interfaces:
    Serializable, Comparable<FacetSortOrder>

      public enum FacetSortOrder
      extends Enum<FacetSortOrder>

  Specifies the order in which the facets are returned.
  Author:
    Hardy Ferentschik

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COUNT_ASC` Facets are returned by count with the lowest count first
    `COUNT_DESC` Facets are returned by count with the lowest count first
    `FIELD_VALUE` Facets are returned in the alphabetical order
    `RANGE_DEFINITION_ORDER` The order in which ranges were defined.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FacetSortOrder` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static FacetSortOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COUNT_ASC

          public static final FacetSortOrder COUNT_ASC

      Facets are returned by count with the lowest count first

    - #### COUNT_DESC

          public static final FacetSortOrder COUNT_DESC

      Facets are returned by count with the lowest count first

    - #### FIELD_VALUE

          public static final FacetSortOrder FIELD_VALUE

      Facets are returned in the alphabetical order

    - #### RANGE_DEFINITION_ORDER

          public static final FacetSortOrder RANGE_DEFINITION_ORDER

      The order in which ranges were defined. Only valid for range faceting

  - ### Method Detail

    - #### values

          public static FacetSortOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FacetSortOrder c : FacetSortOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FacetSortOrder valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved